UbuntuUpdates.org

Package "libjavascriptcoregtk-4.0-18"

Name: libjavascriptcoregtk-4.0-18

Description:

JavaScript engine library from WebKitGTK+

Latest version: 2.22.6-0ubuntu0.18.04.1
Release: bionic (18.04)
Level: updates
Repository: main
Head package: webkit2gtk
Homepage: https://webkitgtk.org/

Links

Save this URL for the latest version of "libjavascriptcoregtk-4.0-18": https://www.ubuntuupdates.org/libjavascriptcoregtk-4.0-18


Download "libjavascriptcoregtk-4.0-18"


Other versions of "libjavascriptcoregtk-4.0-18" in Bionic

Repository Area Version
base main 2.20.1-1
security main 2.22.6-0ubuntu0.18.04.1

Changelog

Version: 2.22.6-0ubuntu0.18.04.1 2019-02-13 16:06:27 UTC

  webkit2gtk (2.22.6-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * Updated to 2.22.6 to fix security issues.
    - CVE-2019-6212
    - CVE-2019-6215

 -- Marc Deslauriers <email address hidden> Tue, 12 Feb 2019 11:25:10 -0500

Source diff to previous version

Version: 2.22.5-0ubuntu0.18.04.1 2019-01-10 22:06:40 UTC

  webkit2gtk (2.22.5-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * Updated to 2.22.5 to fix security issues.
    - CVE-2018-4437
  * Removed patches no longer needed:
    - debian/patches/detect-jit.patch

 -- Marc Deslauriers <email address hidden> Wed, 09 Jan 2019 14:37:50 -0500

Source diff to previous version

Version: 2.22.4-0ubuntu0.18.04.1 2018-11-27 20:07:12 UTC

  webkit2gtk (2.22.4-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * Updated to 2.22.4 to fix security issues.
    - CVE-2018-4345, CVE-2018-4372, CVE-2018-4386

 -- Marc Deslauriers <email address hidden> Fri, 23 Nov 2018 07:36:07 -0500

Source diff to previous version

Version: 2.22.2-0ubuntu0.18.04.2 2018-10-10 13:06:27 UTC

  webkit2gtk (2.22.2-0ubuntu0.18.04.2) bionic-security; urgency=medium

  * Install missing headers (LP: #1795901)
    - debian/libjavascriptcoregtk-4.0-dev.install: install headers from
      usr/include/webkitgtk-4.0/jsc/.
  * Install missing documentation
    - debian/libwebkit2gtk-4.0-doc.doc-base.*
    - debian/libwebkit2gtk-4.0-doc.install
    - debian/libwebkit2gtk-4.0-doc.links
    - debian/rules: use dh_missing --fail-missing

 -- Marc Deslauriers <email address hidden> Tue, 09 Oct 2018 07:13:22 -0400

Source diff to previous version
1795901 libjavascriptcoregtk-4.0-dev: missing jsc/jsc.h

Version: 2.22.2-0ubuntu0.18.04.1 2018-10-03 13:07:43 UTC

  webkit2gtk (2.22.2-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * Updated to 2.22.2 to fix security issues.
    - CVE-2018-4191, CVE-2018-4197, CVE-2018-4207, CVE-2018-4208,
      CVE-2018-4209, CVE-2018-4210, CVE-2018-4212, CVE-2018-4213,
      CVE-2018-4299, CVE-2018-4306, CVE-2018-4309, CVE-2018-4311,
      CVE-2018-4312, CVE-2018-4314, CVE-2018-4315, CVE-2018-4316,
      CVE-2018-4317, CVE-2018-4318, CVE-2018-4319, CVE-2018-4323,
      CVE-2018-4328, CVE-2018-4358, CVE-2018-4359, CVE-2018-4361
  * Changes required for new version:
    - debian/patches/*: refreshed from cosmic package.
    - debian/rules: re-enable woff2 since it is now in main.
    - debian/libwebkit2gtk-4.0-37.symbols: updated.

 -- Marc Deslauriers <email address hidden> Tue, 02 Oct 2018 07:52:59 -0400




About   -   Send Feedback to @ubuntu_updates